body,html {
	background:#eee; 
	margin:0;
	min-height: 100%;
	margin-bottom: -50px;
	background-color: rgb(0,0,0);
	background-position-x: 0%;
	background-position-y: 0%;
	background-repeat: repeat;
	background-attachment: scroll;
	background-image: none;
	background-size: auto;
	background-origin: padding-box;
	background-clip: border-box;
	font-family:Verdana, Geneva, sans-serif;
	overflow-x:hidden;
 }

svg {
   
   width:100%; height:100%; 
   background:#000;

   
}
.svg-triangle{
	 width:100%; height:100%; 
  		background:#000;
}

#container{
	width:100%;
	height:94%;
	display: block;
  position:absolute;
  
  bottom:0;
  top:0;
  left:0;
  right:0;
}

#header{
	width:100%;
	height:44px;
	background-color:#000;
	color:#fff;
	font-family:Verdana, Geneva, sans-serif;
	text-align:center;
	
}

#cat{
	text-align:center;
	width:100%;
	height:auto;
	background-color:#000;
	display:none;
}
#footer{
	width:100%;
	height:1%;
	background-color:#000;
	color:#F9E13E;
	text-align:center;
	font-weight:bold;
}

#shelf{
	width:100%;
	height:100%;
	position: relative;
	text-align:center;
	border: 3px solid red;
    
}
#left{
	width:3%;
	height:100%;
	float:left;
	display: flex;
  	align-items: center;
	background-color:#FFDC00;
	position: relative; 
}
#right{
	width:20%;
	height:100%;
	float:left;
	background-color:#0074D9;
	overflow-y: scroll;
}

#svg-1
{
  margin: 0 auto;
  display: block;
}

/* CASSA*/
div.sticky {
  
  /* position: -webkit-sticky;
  position: sticky;
  top: 0; */
  background-color:#0074D9;
  padding: 10px;
  font-size: 0.8em;
}
#cassa{
	width:100%;
	height:100%;
	position: relative;
}
#cassa-header{
	 overflow:hidden;
}
#scene{
	touch-action: auto;
	 display: inline-block;
}
#cassaRep{
	float:left;
	/* width:8%;
	 min-width:150px; */
	padding:5px;
	text-align:center;
}
.headIco{
	text-align:center;
	font-size:20px;
}
.catCart, a:link, a:visited, a:hover{
	text-decoration:none;
	font-size:15px;
	color:#fff;
}

/* FINE CASSA*/


input[type=checkbox]
{
  -webkit-appearance:checkbox;
}
/* scroll hack */
.modal2 {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.1); /* Black w/ opacity */
  
}




 /* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  
}

/* Modal Content/Box */
.modal-content {
 background-color: rgba(0, 140, 186, 0.8);
  margin: 5% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: auto; /* Could be more or less, depending on screen size */
  height: auto;
 
  
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
 
rect:hover {    
	cursor:pointer;
}

 /* Style the navigation bar */
.navbar {
  width: 100%;
  background-color: #555;
  overflow: auto;
  
}

/* Navbar links */
.navbar a {
 float:left;
  text-align: center;
  padding: 12px;
  color: white;
  text-decoration: none;
  font-size: 14px;
}

/* Navbar links on mouse-over */
.navbar a:hover {
  background-color: #000;
}

/* Current/active navbar link */
.active {
  background-color: #4CAF50;
}

/* Add responsiveness - will automatically display the navbar vertically instead of horizontally on screens less than 500 pixels */
@media screen and (max-width: 500px) {
  .navbar a {
    float: none;
    display: block;
  }
} 
/* The dropdown container */
.dropdown {
  float: left;
  overflow: hidden;
}

/* Dropdown button */
.dropdown .dropbtn {
  font-size: 14px;
  border: none;
  outline: none;
  color: white;
  padding: 12px;
  background-color: inherit;
  font-family: inherit; /* Important for vertical align on mobile phones */
  margin: 0; /* Important for vertical align on mobile phones */
}


/* Dropdown content (hidden by default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
  background-color: #ddd;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
}

/* HOME STYLE */
.hero-image {
 /*  background-image: url("../img/home/Immagine1.png"); */
  background-color: #cccccc;
  height: 500px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.hero-image1 {
 /*  background-image: url("../img/home/Immagine1.png"); */
  background-color: #cccccc;
  width:48%;
  float:left;
  height: 500px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}




.hero-image .btn {
 
  background-color: #f1f1f1;
  color: black;
  font-size: 16px;
  padding: 16px 30px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
  text-align: center;
}

.hero-image .btn:hover {
  background-color: black;
  color: white;
}

.hero-text {
   background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
  color: white;
  font-weight: bold;
  border: 3px solid #f1f1f1;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
  width: 80%;
  padding: 20px;
  text-align: center;
 
}
.hero-text1 {
text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
	
}

.button2 {
	background-color: #008CBA;
	font-size: 18px;
	color:#fff;
	padding: 1px 4px;
	border-radius: 8px;
	border: 2px solid #000; /* Green */
	} 

.button2 {
  transition-duration: 0.4s;
}

.button2:hover {
  background-color: #4CAF50; /* Green */
  color: white;
}

input {
    -webkit-appearance: none;
}

 /* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
} 




.login {
  	width: 500px;
  	background-color: #ffffff;
  	box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
  	margin: 30px auto;
}
.login h1 {
  	text-align: center;
  	color: #5b6574;
  	font-size: 24px;
  	padding: 20px 0 20px 0;
  	border-bottom: 1px solid #dee0e4;
}
.login form {
  	display: flex;
  	flex-wrap: wrap;
  	justify-content: center;
  	padding-top: 20px;
}
.login form label {
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	width: 150px;
  	height: 50px;
  	background-color: #3274d6;
  	color: #ffffff;
}
.login form input[type="password"], .login form input[type="text"] {
  	width: 310px;
  	height: 50px;
  	border: 1px solid #dee0e4;
  	margin-bottom: 20px;
  	padding: 0 15px;
}
.login form input[type="button"] {
  	width: 100%;
  	padding: 15px;
 	margin-top: 20px;
  	background-color: #3274d6;
  	border: 0;
  	cursor: pointer;
  	font-weight: bold;
  	color: #ffffff;
  	transition: background-color 0.2s;
}
.login form input[type="button"]:hover {
	background-color: #2868c7;
  	transition: background-color 0.2s;
}

.debMe{
	padding-right:4em;
}

.help{
	display:none;
}
.h1{
	color:#4CAF50;
}
.helpImg{
	float:left;
	width:50%;
}
.helpImg, img{
	  max-width: 100%;
}
.helpTxt{
	margin: auto;
	float:left;
	width:30%;
	font-size:2.0em;
}
#divElement{
	display:none;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -50px;
    margin-left: -50px;
    width: 100px;
    height: 100px;
}​
.fixedContainer {
    background-color:#ddd;
    position: fixed;
    padding: 2em;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
#carrello{
	width:100%;
	border: 1px #FF9900 solid; 
	
}
#cartContent{
	height:80%;
	overflow-y:scroll;
	overflow-x: hidden;
}
#specific-charms{
	   width:60%;
}
#imgProd{
	   max-height:130px;
}
#h2modal{
	text-align: center;
}
.underImg {
	text-align: center;
	font-size: 1.6em;
}
.underImgDiv{
	font-size: 1.6em;
	font-weight: bold;
	background-color:gold;
}